| Home | Libraries | People | FAQ | More

###### value::value (8 of 35 overloads)

Construct a null.

###### Synopsis

    value(
        std::nullptr_t,
        storage_ptr sp = {});

###### Description

A null value is a monostate.

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.

###### Parameters

Name | Description
--- | ---
`sp` | A pointer to the `memory_resource` to use. The container will acquire shared ownership of the memory resource.